annotateGene {seqminer} | R Documentation

## Annotate a test variant

### Description

Annotate a test variant

### Usage

    annotateGene(param, chrom, position, ref, alt)

### Arguments

`param` | a list of annotation configuaration (e.g. reference file, gene definition)
`chrom` | a vector of chromosome names
`position` | a vector of chromosome positions
`ref` | a vector of reference alleles
`alt` | a vector of alternative alleles

### Value

annotated results in a data frame structure

### See Also

makeAnnotationParameter

### Examples

    if (.Platform$endian == "little") {
      param <- list(reference = system.file("tabanno/test.fa", package = "seqminer"),
                    geneFile = system.file("tabanno/test.gene.txt", package = "seqminer"))
      param <- makeAnnotationParameter(param)
      print(param)
      annotateGene(param, c("1", "1"), c(3, 5) , c("A", "C"), c("G", "C"))
    } else {
      message("Tabix does not work well for big endian for now")
    }

[Package seqminer version 7.1 Index]